package com.positiveproximity.proxscanner3;

import android.os.Bundle;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.widget.Toast;

import com.google.android.material.bottomnavigation.BottomNavigationView;
import com.google.android.material.internal.NavigationMenuItemView;
import com.google.android.material.navigation.NavigationView;

import androidx.annotation.NonNull;
import androidx.appcompat.app.AppCompatActivity;
import androidx.fragment.app.Fragment;
import androidx.navigation.NavController;
import androidx.navigation.Navigation;
import androidx.navigation.ui.AppBarConfiguration;
import androidx.navigation.ui.NavigationUI;

import java.util.zip.Inflater;

public class MainActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        BottomNavigationView navView = findViewById(R.id.nav_view);
        // Passing each menu ID as a set of Ids because each
        // menu should be considered as top level destinations.
        AppBarConfiguration appBarConfiguration = new AppBarConfiguration.Builder(
                R.id.navigation_home, R.id.navigation_dashboard, R.id.navigation_notifications)
                .build();
        NavController navController = Navigation.findNavController(this, R.id.nav_host_fragment);
        NavigationUI.setupActionBarWithNavController(this, navController, appBarConfiguration);
        NavigationUI.setupWithNavController(navView, navController);

        // top nav listener stuff
        //NavigationView navigationView = findViewById(R.id.menu_top);
        //navigationView.setNavigationItemSelectedListener(this);

    }

    //@Override
    //public boolean onNavigationItemSelected(@NonNull MenuItem menuItem) {
    //    switch (menuItem.getItemId()){
    //        case R.id.menu_about:
    //            getSupportFragmentManager().beginTransaction().replace(R.id.mobile_navigation, new aboutFragment()).commit();
    //            break;
    //    }
    //    return true;
    //}


    // shows top menu
    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        MenuInflater inflater = getMenuInflater();
        inflater.inflate(R.menu.menu_top, menu);
        return true;
    }



    // reading which top menu items were selected
    @Override
    public boolean onOptionsItemSelected(@NonNull MenuItem item) {
        switch (item.getItemId()) {
            case R.id.menu_about:
            {
                Toast.makeText(this, "About", Toast.LENGTH_SHORT).show();
                // NNED IT TO GO TO THE fragment_about screen from the top menu click
                //MenuInflater inflater = getMenuInflater();
                //inflater.inflate(R.menu.menu_top, MenuItem);
                //return Inflater.inflate
                break;
            }
        }
        return super.onOptionsItemSelected(item);
    }
}
